Supported Platforms and Components

Platform Support

VMware Postgres is currently supported only on Red Hat Enterprise Linux (RHEL) version 7 and CentOS 7. This applies both to the core database software, as well as client components.

Each RPM file included with VMware Postgres automatically installs additional operating-system package dependencies as needed. However, no Extra Packages for Enterprise Linux (EPEL) repository packages are required for VMware Postgres.

Network connectivity is required between all PostgreSQL hosts and clients.

Software Component Versions

IMPORTANT: VMware Postgres does not support any additional extension components or versions outside the following list. For component inquiries, please contact [VMware Support](https://tanzu.vmware.com/support).

VMware Postgres Version Component Component Version
14.0.0 PostgreSQL 14.0
pgBackRest 2.35
pg_auto_failover 1.6.2
pgbouncer 1.16.0
Clients psqlODBC 13.02.0000
pgjdbc 42.2.24
Extensions PL/Java 1.5.8
PL/R 8.4.4
Orafce 3.16.0
PostGIS with
geos (v3.8.1),
proj (v4.9.3), gdal (v2.4.4)
3.1.4

ODBC support requires either the UnixODBC or iODBC driver manager on each client machine.

JDBC support requires Java 8 or higher on each client machine.